Hướng dẫn viết lisp

Nếu chúng ta đã từng vẽ CAD hẳn đã thấy buồn rầu do một số trong những lệnh cứ đọng cần làm cho đi làm việc lại, nhàm chán cực kỳ. Thực ra chúng ta trọn vẹn rất có thể tạo thành mọi tệp tin LISPhường giúp cho các bước dễ dàng rộng. Tôi xin giải đáp nhằm chúng ta mới làm thân quen có thể từ mình tạo ra file LISP. của riêng mình (những cao thủ bao gồm ghé thăm xin máy lỗi cho em múa "dìu" qua mắt thợ nhé!).Bây Giờ các phiên phiên bản cad new gồm thêm tiện ích xây dựng LISP, tuy nhiên các bạn cũng có thể áp dụng bất kỳ một trình soạn thảo văn bản nào để tạo tệp tin LISP, sau thời điểm chế tạo ngừng chúng ta lưu lại file lại bên dưới dạng đuôi *.LSP. là hoàn toàn có thể load vào cad nhằm sử dụng được tức thì (theo tôi với các file dễ dàng và đơn giản thì tốt nhất có thể là cần sử dụng Notepad của Windown cho nhanh!).Xin đưa ra trên đây 2 ví dụ nỗ lực thể:1. Đổi mầu đến đối tượng:Trong quy trình vẽ, Lúc ý muốn đổi mầu một đối tượng người dùng, chúng ta có thể cần sử dụng lệnh "change", tiếp đến chọn tùy lựa chọn properties, rồi lựa chọn c (color), rồi chọn số từ 0 mang đến 255. Với một màu sắc định trước, ta rất có thể tinh giảm quy trình này lại bằng một mẫu lệnh duy nhất:(defun C:C1 (/ gp) (setq gp (ssget)) (commvà "change" gp "" "p" "c" "1" "" ))Xin lý giải một chút ít nhằm các bạn thay được nlỗi sau:- Đóng msinh hoạt ngoặc "()": trong ngữ điệu LISPhường., số đông tài liệu chuyển vào phần lớn bắt buộc nằm trong ngoặc, những lần msinh sống đóng ngoặc đang màn trình diễn trả trỉnh một chuỗi lệnh. Một phép tắc tiên phong hàng đầu, mnghỉ ngơi ngoặc từng nào lần thì đề nghị đóng bấy nhiêu lần.- defun: câu lệnh bắt đầu cho một chuỗi thao tác mới:- C:C1: ở đây có 2 phần "C:" là phần biểu lộ lệnh sẽ được chuyển vào từ bỏ loại lệnh command của cad.


Bạn đang xem: Hướng dẫn viết lisp


Xem thêm: Hướng Dẫn Cách Đổi Tên Và Mật Khẩu Wifi Mạng Internet Vnpt, Fpt, Tenda, Tp



Xem thêm: Công Ty Thám Tử Tư, Dịch Vụ Thám Tử Tu, Công Ty Dịch Vụ Thám Tử Tư Tại Hà Nội

Sau vết nhị chnóng "C1" là ký kết hiệu cơ mà bạn sẽ gõ để bắt đầu quá trình thao tác tại loại lệnh Command (xem xét không được đặt trùng cùng với các lệnh khác của cad nhằm rời trùng lệnh, rắc rối) - C1 ở chỗ này vị bản thân từ bỏ đặt với ý nghĩa sâu sắc là color 1 (màu sắc đỏ), các đối tượng khi dùng lệnh này sẽ tiến hành biến thành red color.- (/ gp): đó là phần knhị báo biến chuyển số, trong phần này chỉ sử dụng 1 đổi thay số dồn phần lựa chọn đối tượng là "gp".- setq: là lệnh gán đến biến đổi số 1 cực hiếm như thế nào kia.- ssget: là lệnh cho phép người tiêu dùng lựa chọn nhiều đối tượng người tiêu dùng một thời gian.- (setq gp (ssget)): là một câu lệnh hoàn hảo được cho phép người tiêu dùng lựa chọn một nhóm đối tượng người tiêu dùng cùng gán team đối tượng người dùng đó vào vươn lên là số gp (trở nên này có thể biến hóa tùy ý người dùng, chỉ việc knhị báo thống độc nhất từ trên đầu - ở chỗ này mang lại gp là chữ viết tắt của trường đoản cú group).- (comm& "change" gp "" "p" "c" "1" ""): đó là câu lệnh trong đó: command: lệnh ban đầu được thực thi; "change": lệnh cần phải triển khai (luôn luôn được đặt trong ngoặc kép); gp: nhóm đối tượng người tiêu dùng sẽ chọn; "" (dấu đóng msống ngoặc kép): khớp ứng cùng với nhận phím Enter hoặc Space; "p": chọn tùy lựa chọn properties trong lệnh change; "c": lựa chọn tùy lựa chọn color vào tùy lựa chọn properties vào lệnh change; "1": gán màu hàng đầu (red) cho nhóm đối tượng; "": tương xứng với nhấn phím Enter hoặc Space - ngừng lệnh change.vì thế họ có 1 lệnh hoàn chỉnh để thay đổi màu một đội đối tượng người tiêu dùng ngẫu nhiên lịch sự color số 1 (đỏ). Tương từ bỏ điều này các bạn cũng có thể thay đổi cho các color tiếp theo sau (chi bài toán copy, paste và đổi khác 1 chút), vi dụ:(defun C:CBL (/ gp) (setq gp (ssget)) (comm& "change" gp "" "p" "c" "l" "" ));màu theo lớp - by Layer(defun C:CBB (/ gp) (setq gp (ssget)) (comm& "change" gp "" "p" "c" "b" "" ));color theo kân hận - by Block(defun C:C2 (/ gp) (setq gp (ssget)) (commvà "change" gp "" "p" "c" "2" "" ));color vàng(defun C:C4 (/ gp) (setq gp (ssget)) (comm& "change" gp "" "p" "c" "4" "" ));blue color nước biểnSau đó các bạn gìn giữ file bên dưới dạng *.LISPhường., vậy là vẫn tất cả file LISP.. hoàn chỉnh với load vào cad nhằm chạy đươc. Mình gửi kèm file hoàn chình của chính bản thân mình để các bạn tham khảo dưới.Tương từ với lệnh change, các bạn cũng có thể tạo những lệnh biến hóa chiều cao (thickness), các loại nét (linetyper),..2. Đưa một nhóm đối tượng người tiêu dùng sẽ tất cả vào 1 lớp (có tên đặt trước theo quy ước), nếu lớp này chưa xuất hiện thì tạo lớp kia rồi chuyển đội đối tượng người tiêu dùng vào:Trong quá trình vẽ CAD, để những bạn dạng vẽ được thống độc nhất vô nhị fan vẽ nên được đặt thương hiệu những lớp một phương pháp thống tuyệt nhất. Tuy nhiên, từng lẫn bước đầu một bạn dạng vẽ mới hoặc sẽ trong quá trình vẽ, ao ước sinh sản một khối hệ thống các layer theo như đúng luật lệ đang đưa ra nhiều khi rất mất công. Để bớt bơt sự buồn rầu này ta hoàn toàn có thể nhờ vào câu lệnh sau:(defun C:LTE (/ gp)(setq gp (ssget)) (commvà "-layer" "m" "Text_140" "c" "140" "Text_140" "") (comm& "change" gp "" "p" "la" "Text_140" "") (commvà "-layer" "s" "0" "") )Thành phần cấu trúc của câu lệnh ko không giống gì các so với câu lệnh ở trong phần một, mình chỉ lý giải sơ qua như sau:loại lệnh 1: vẫn luôn là đặt ký từ lệnh, khai báo đổi mới và lựa chọn team đối tượng;cái lệnh 2: sinh sản lớp cùng với thương hiệu là Text_140, màu sắc 140;mẫu lệnh 3: chuyển nhóm đối tượng đã làm được chọn vào lớp vừa tạo;mẫu lệnh 4: đặt lớp vẽ mặc định trở về layer 0.Có mấy chăm chú nho nhỏ tuổi sau:- Dấu trừ (-) nằm trước một vài lệnh vào cad ("-layer") có thể chấp nhận được người tiêu dùng thao tác lệnh qua loại lệnh command nhưng mà ko yêu cầu trải qua hộp đối thoại.- Tên lớp (Text_140) là tên gọi vày bản thân tứ đặt, những chúng ta có thể biến hóa tùy ý.- Nếu ko ý muốn trsinh sống về lớp 0 (layer 0) thì xóa khỏi cái máy 4.cũng có thể tham khảo thêm file của chính bản thân mình kèm theo dưới.Không quá cực nhọc nhằm tạo nên mình file LISPhường để Giao hàng công việc được dễ ợt hơn. Chúc chúng ta mới tìm hiểu thành công
*
!

Chuyên mục: Kiến thức